@echo off
IF "" == "%1"  goto missing1
IF "" == "%2"  goto missing2
IF "" == "%3"  goto missing3
IF "" == "%4"  goto missing4

IF "1" == "%4" goto node1

@echo .......
@echo .......
@echo Bring Off-line the resource NetViewDM before to move the Group to Local Node
cluster resource NetViewDM /offline /wait:5000 
@echo .......
@echo .......
@echo Change Owner of the %2 to the Local Node
cluster group %2 /moveto /wait:5000
@echo .......
@echo .......
@echo Create NetViewDM services on Local Cluster with Manual Startup
%NVDMBASE%/BIN/FNDSINST.EXE %NVDMBASE% 2
@echo .......
@echo .......
@echo Bring On-line the resource.
cluster resource NetViewDM /online /wait:5000
goto end


:node1
@echo .......
@echo .......
@echo Bring Off-line the Shared Disk.
cluster %1 resource %3 /offline /wait:5000
@echo .......
@echo .......
@echo Create a new Generic Resource (NetViewDM) to the specific Group into the Cluster.
cluster %1 resource NetViewDM /create /group:%2 /type:"Generic service"
@echo .......
@echo .......
@echo Set the Private property of the Generic Service.
cluster resource NetViewDM /priv ServiceName=netviewdm
@echo .......
@echo .......
@echo Add the Shared Disk as dependency of the Generic Service.
cluster resource NetViewDM /adddep:%3
@echo .......
@echo .......
@echo Bring On-line the resource.
cluster %1 res NetViewDM /online /wait:5000
goto end

:missing1
:missing2
:missing3
:missing4
echo Usage: AddNetViewDM (Cluster name) (Group name) (SharedDisk_S) (1=Primary Node or 2=Secondary Node)
goto end

:end
echo End of script.