;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                         ;;
;;  SETUP.ISS response file for a silent Installation.                     ;;
;;                                                                         ;;
;;  copy SETUP.ISS on your private directory and invoke SETUP as           ;;
;;  shown:                                                                 ;;
;;                                                                         ;;
;;  k:\setup -s  -fk:\setup.ins -f1c:\pristine\setup.ISS -f2k:\setup.log   ;;
;;                                                                         ;;
;;                                                                         ;;
;;  Check the results of the silent installation in the log                ;;
;;  file created by SETUP (through the -f2 option) and in the              ;;
;;  file named INSTLOG placed in the installation directory.               ;;
;;                                                                         ;;
;;  Only the fields identified by the string ";******" can be              ;;
;;  modified.                                                              ;;
;;  All the other fields MUST not be modified.                             ;;
;;                                                                         ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;
[InstallShield Silent]
Version=v3.00.000
File=Response File
;
[DlgOrder]
Dlg0=Welcome-0
Dlg1=AskOptions-0
Dlg2=AskOptions-1      
Dlg3=AskOptions-2 
Dlg4=SdComponentDialog-0 
Dlg5=SdSelectFolder-0
Dlg6=AskOptions-3     
Dlg7=SdShowDlgEdit3-0
Dlg8=SdShowDlgEdit3-1
Dlg9=SdShowDlgEdit3-2
Dlg10=SdShowDlgEdit2-0
Dlg11=SdShowDlgEdit2-1
Dlg12=SdShowDlgEdit2-2
Dlg13=SdShowDlgEdit2-3
Dlg14=SdShowDlgEdit1-0
Dlg15=SdShowDlgEdit1-1
Dlg16=SdShowDlgEdit1-2
Dlg17=SdShowDlgEdit1-3
Dlg18=AskOptions-4
Dlg19=SdFinishReboot-0
Count=20
;
[Welcome-0]
Result=1
;
[AskOptions-0]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                 ;
; USE THIS SECTION ONLY FOR MIGRATION FROM A PREVIOUS RELEASE     ;
;                                                                 ;
;   Information provided in this section relates to the           ;
;   "Select Migration" dialog.                                    ;
;                                                                 ;
;******            Sel-0 "YES"                                    ;
;******            Sel-1 "NO"                                     ;
;                                                                 ;
;                  Sel-X=0 means component is NOT selected        ;
;                  Sel-X=1 means component is     selected        ;
;                                                                 ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Sel-0=0
Sel-1=1
;
;
;
[AskOptions-1]
;
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Select Installation" dialog.                                    ;
;                                                                    ;
;******            Sel-0 "Software Distribution CLIENT"              ;
;******            Sel-1 "Software Distribution SERVER"              ;
;                                                                    ;
;                  Sel-X=0 means component is NOT selected           ;
;                  Sel-X=1 means component is     selected           ;
;                                                                    ;
;Choose one of the following combinations:                           ;
;                                                                    ;
; Sel-0=1     to install the                                         ;
; Sel-1=0     Software Distribution client                           ;
;                                                                    ;
; Sel-0=0     to install the                                         ;
; Sel-1=1     Software Distribution server                           ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Sel-0=1
Sel-1=0
;
;
;
[AskOptions-2]
;
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   THIS SECTION IS MEANINGFUL ONLY FOR FUTURE RE-INSTALLATION       ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Reinstall Selection" dialog.                                    ;
;                                                                    ;
;******            Sel-0 "Update the current installed components"   ;
;******            Sel-1 "Install additional components"             ;
;                                                                    ;
;                  Sel-X=0 means component is NOT selected           ;
;                  Sel-X=1 means component is     selected           ;
;                                                                    ;
;Choose one of the following combinations:                           ;
;                                                                    ;
; Sel-0=1     to update the                                          ;
; Sel-1=0     components currently installed                         ;
;                                                                    ;
; Sel-0=0     to install additional                                  ;
; Sel-1=1     components                                             ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Sel-0=0
Sel-1=1
;
;
;
[SdComponentDialog-0]
;
Result=1
Component-type=string
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                   ;
; Information provided in this section relates to the               ;
; "Select Components" dialog.                                       ;
;                                                                   ;
;******   Component-count "equal to the number of elements listed   ;
;                                   below (Component-x)"            ;
;                                                                   ;
;******   Component-x     "equal to the option you want to install" ;
;                                                                   ;
;                                                                   ;
; WARNING: Use the appropriate Component-.. keys                    ;
;          (SERVER or CLIENT SECTION);                              ;
;          depending on what you want to install.                   ;
;          The numbers following Component-.. must start with 0 and ;
;          must be sequential.                                      ;
;                                                                   ;
;          Example:                                                 ;
;            If you want install a client with the components 0, 1, ;
;            and 3, the correct selection is:                       ;
;                                                                   ;
;                      Component-count=3                            ;
;                      Component-0=Distribution Client Base         ;
;                      Component-1=Distribution GUI                 ;
;                      Component-2=HW/SW Discovery                  ;
;                                                                   ;
;            The following is an example of a typical incorrect     ;
;            selection:                                             ;
;                                                                   ;
;                      Component-count=3                            ;
;                      Component-0=Distribution Client Base         ;
;                      Component-1=Distribution GUI                 ;
;                      Component-3=HW/SW Discovery                  ;
;                                                                   ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; SERVER SECTION
;
;Component-count=5
;Component-0=Distribution Server Base
;Component-1=Distribution GUI
;Component-2=Distribution Documentation
;Component-3=HW/SW Discovery
;Component-4=Distribution Server Remote Communication
;
;
;
; CLIENT SECTION
;
Component-count=3
Component-0=Distribution Client Base
Component-2=Distribution GUI
Component-1=Distribution Documentation
;Component-3=HW/SW Discovery
;Component-4=Distribution Client Mobile
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                 ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION EITHER OF A  ;
;   CLIENT OR A SERVER.                                           ;
;                                                                 ;
;   Information provided in this section relates to the           ;
;   "Select Components" dialog.                                   ;
;                                                                 ;
;******  szDir = "Target Directory where the product is installed";
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szDir=C:\SOFTDIST
;
;
;
[SdSelectFolder-0]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                            ;
;   Information provided in this section relates to the      ;
;   "Select Program Folder" dialog.                          ;
;                                                            ;
;******            szFolder = "Folder name"                  ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szFolder=Tivoli TME10 Software Distribution
;
;
;
[AskOptions-3]
;
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                      ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION EITHER OF A       ;
;   CLIENT OR A SERVER                                                 ;
;                                                                      ;
;                                                                      ;
;   Information provided in this section relates to the                ;
;   "Select Protocol" dialog.                                          ;
;                                                                      ;
;******            Sel-0 "TCP/IP protocol"                             ;
;******            Sel-1 "NetBIOS Protocol"                            ;
;******            Sel-2 "IPX Protocol"                                ;
;                                                                      ;
;                  Sel-X=0 means protocol NOT selected                 ;
;                  Sel-X=1 means protocol     selected                 ;
;                                                                      ;
;If you are installing a server, you can select one, two, or all three ;
;connection protocols.                                                 ;
;                                                                      ;
;For example, if you are installing a server you can make one of the   ;
;following selections:                                                 ;
;                                                                      ;
; Sel-0=1     You choose TCP/IP as the connection protocol.            ;
; Sel-1=0                                                              ;
; Sel-2=0                                                              ;
;                                                                      ;
; Sel-0=0     You choose NetBIOS and IPX as the connection protocols.  ;
; Sel-1=1                                                              ;
; Sel-2=1                                                              ;
;                                                                      ;
; Sel-0=1     You choose all three connection protocols.               ;
; Sel-1=1                                                              ;
; Sel-2=1                                                              ;
;                                                                      ;
;If you are installing a client, you can select one connection protocol;
;at a time.                                                            ;
;                                                                      ;
;For example, if you are installing a client, you can make one of the  ;
;following selections:                                                 ;
;                                                                      ;
; Sel-0=1     You choose TCP/IP as the connection protocol.            ;
; Sel-1=0                                                              ;
; Sel-2=0                                                              ;
;                                                                      ;
; Sel-0=0     You choose IPX as the connection protocol.               ;
; Sel-1=0                                                              ;
; Sel-2=1                                                              ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Sel-0=1
Sel-1=0
Sel-2=0
;
;
[SdShowDlgEdit3-0]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                   ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A           ;
;   CLIENT WHEN THE TCP/IP PROTOCOL IS CHOSEN.                      ;
;                                                                   ;
;   Information provided in this section relates to the             ;
;   "Client Configuration" dialog.                                  ;
;                                                                   ;
;******            szEdit1 = "WorkStation Name"                     ;
;******            szEdit2 = "Target Address"                       ;
;******            szEdit3 = "TCP/IP Name"                          ;
;                                                                   ;
; WARNING  A default value is provided for these three fields.      ;
;          If you want use them, write DEFAULT as the field value.  ;
;                                                                   ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=clipsw2k
szEdit2=clipsw2k
szEdit3=clipsw2k
;
;
;
[SdShowDlgEdit3-1]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                   ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A           ;
;   CLIENT WHEN THE NETBIOS PROTOCOL IS CHOSEN.                     ;
;                                                                   ;
;   Information provided in this section relates to the             ;
;   "Client Configuration" dialog.                                  ;
;                                                                   ;
;******            szEdit1 = "WorkStation Name"                     ;
;******            szEdit2 = "Target Address"                       ;
;******            szEdit3 = "NetBIOS Name"                         ;
;                                                                   ;
; WARNING  A default value is provided for these three fields.      ;
;          If you want use them, write DEFAULT as the field value.  ;
;                                                                   ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
szEdit2=DEFAULT
szEdit3=DEFAULT
;
;
[SdShowDlgEdit3-2]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A            ;
;   CLIENT WHEN THE IPX PROTOCOL IS CHOSEN.                          ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Client Configuration" dialog.                                   ;
;                                                                    ;
;******            szEdit1 = "WorkStation Name"                      ;
;******            szEdit2 = "Target Address"                        ;
;******            szEdit3 = "IPX Name"                              ;
;                                                                    ;
; WARNING  A default value is provided for these three fields.       ;
;          If you want use them, write DEFAULT as the field value.   ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
szEdit2=DEFAULT
szEdit3=DEFAULT
Result=1
;
;
[SdShowDlgEdit2-0]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A            ;
;   CLIENT WHEN THE TCP/IP PROTOCOL IS CHOSEN.                       ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Server Configuration" dialog.                                   ;
;                                                                    ;
;******            szEdit1 =  "Server WorkStation Name"              ;
;                                                                    ;
;******            szEdit2 =  "Server TCP/IP Name"                   ;
;                                                                    ;
;                                                                    ;
; WARNING  A default value is provided for these two fields.         ;
;          If you want use them, write DEFAULT as the field value.   ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=SRVW2K
szEdit2=srvw2k
;
;
[SdShowDlgEdit2-1]
Result=1
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A            ;
;   CLIENT WHEN THE NETBIOS PROTOCOL IS CHOSEN.                      ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Server Configuration" dialog.                                   ;
;                                                                    ;
;******            szEdit1 =  "Server WorkStation Name"              ;
;                                                                    ;
;******            szEdit2 =  "Server NetBIOS Name"                  ;
;                                                                    ;
; WARNING  A default value is provided for these two fields.         ;
;          If you want use them, write DEFAULT as the field value.   ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
szEdit2=DEFAULT
;
;
;
[SdShowDlgEdit2-2]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A            ;
;   CLIENT WHEN THE IPX PROTOCOL IS CHOSEN.                          ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Server Configuration" dialog.                                   ;
;                                                                    ;
;******            szEdit1 = "Server WorkStation Name"               ;
;                                                                    ;
;******            szEdit2 = "Server IPX Name"                       ;
;                                                                    ;
; WARNING  A default value is provided for these two fields.         ;
;          If you want use them, write DEFAULT as the field value.   ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
szEdit2=DEFAULT
;
;
[SdShowDlgEdit2-3]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A            ;
;   SERVER.                                                          ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Server Configuration" dialog.                                   ;
;                                                                    ;
;******            szEdit1 = "WorkStation Name"                      ;
;                                                                    ;
;******            szEdit2 = "Target Address"                        ;
;                                                                    ;
; WARNING  A default value is provided for these two field.          ;
;          If you want use them, write DEFAULT as the field value.   ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
szEdit2=DEFAULT
;
;
;
;
[SdShowDlgEdit1-0]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                 ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A         ;
;   SERVER WHEN THE TCP/IP PROTOCOL IS CHOSEN.                    ;
;                                                                 ;
;   Information provided in this section relates to the           ;
;   "Server Configuration" dialog.                                ;
;                                                                 ;
;******            szEdit1 = "TCP/IP Name"                        ;
;                                                                 ;
; WARNING  A default value is provided for this field.            ;
;          If you want use it, write DEFAULT as the field value.  ;
;                                                                 ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=root
;
;
;
[SdShowDlgEdit1-1]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A        ;
;   SERVER WHEN THE NETBIOS PROTOCOL IS CHOSEN.                  ;
;                                                                ;
;   Information provided in this section relates to the          ;
;   "Server Configuration" dialog.                               ;
;                                                                ;
;                                                                ;
;******            szEdit1 =  "NetBIOS Name"                     ;
;                                                                ;
;                                                                ;
; WARNING  A default value is provided for this field.           ;
;          If you want use it, write DEFAULT as the field value. ;
;                                                                ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
;
;
;
[SdShowDlgEdit1-2]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                   ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF A           ;
;   SERVER WHEN THE IPX PROTOCOL IS CHOSEN.                         ;
;                                                                   ;
;   Information provided in this section relates to the             ;
;   "Server Configuration" dialog.                                  ;
;                                                                   ;
;******            szEdit1 = "IPX Name"                             ;
;                                                                   ;
; WARNING  A default value is provided for this field.              ;
;          If you want use it, write DEFAULT as the field value.    ;
;                                                                   ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
;
;
[SdShowDlgEdit1-3]
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION                 ;
;                                                                    ;
;   Information provided in this section relates to the              ;
;   "Configuration" dialog.                                          ;
;                                                                    ;
;******            szEdit1 =  "FNDUSER environment variable value"   ;
;                                                                    ;
; WARNING  A default value is provided for this field.               ;
;          If you want use it, write DEFAULT as field value.         ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
szEdit1=DEFAULT
;
;
;
[AskOptions-4]
;
Result=1
;
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                  ;
;   USE THIS SECTION ONLY FOR THE FIRST INSTALLATION OF EITHER A   ;
;   CLIENT OR A SERVER                                             ;
;                                                                  ;
;   Information provided in this section relates to the            ;
;   "Start Product Selection" dialog.                              ;
;                                                                  ;
;******            Sel-0 = "Automatic Startup"                     ;
;                  Sel-1 = "Manual Startup"                        ;
;                                                                  ;
;                  Sel-X=0 means choice is NOT selected            ;
;                  Sel-X=1 means choice is     selected            ;
;                                                                  ;
;Choose one of the following combinations:                         ;
;                                                                  ;
; Sel-0=1     You are choosing to start the                        ;
; Sel-1=0     product automatically.                               ;
;                                                                  ;
; Sel-0=0     You are choosing to start the                        ;
; Sel-1=1     product manually.                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Sel-0=1
Sel-1=0
;
[Application]
Name=Pristine WIN2K Software Distribution
Version=3.1.5
Company=TIVOLI
;
[SdFinishReboot-0]
Result=1
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                 ;
;   Information provided in this section relates to the           ;
;   "Setup Complete" dialog.                                      ;
;                                                                 ;
;******     BootOption = 0 "No I will restart my computer later"  ;
;           BootOption = 3 "Yes I want to restart my computer now";
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
BootOption=3

